# Class StatementFinalizer.StatementEntry

java.lang.Object
org.apache.tomcat.jdbc.pool.interceptor.StatementFinalizer.StatementEntry

Enclosing class:
  `StatementFinalizer`

protected class StatementFinalizer.StatementEntry extends Object
Entry that tracks a statement and its allocation stack.

## Constructor Summary

Constructors
Constructor
Description
`StatementEntry(Statement statement)`
Creates a new StatementEntry.

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getAllocationStack()`
Returns the stack trace from when this statement was created.
`Statement`
`getStatement()`
Returns the tracked statement.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StatementEntry

public StatementEntry(Statement statement)
Creates a new StatementEntry.

Parameters:
  `statement` - the statement to track

## Method Details

### getStatement

public Statement getStatement()
Returns the tracked statement.

Returns:
  the statement, or null if it has been garbage collected

### getAllocationStack

public Throwable getAllocationStack()
Returns the stack trace from when this statement was created.

Returns:
  the allocation stack trace, or null if tracing is disabled